#
# spec file for package python-satchmo
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-satchmo
Version:        0.9.2
Release:        1.130
License:        BSD
Summary:        The webshop for perfectionists with deadlines
Url:            http://satchmoproject.com
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/S/Satchmo/Satchmo-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools_hg
BuildRequires:  python-Sphinx
Requires:       python-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The webshop for perfectionists with deadlines (written in python using django).


%prep
%setup -q -n Satchmo-%{version}

%build
python setup.py build
cd docs
make html && rm -r .build/html/.buildinfo

%install
python setup.py install --root=%{buildroot} --prefix="%{_prefix}"
%fdupes -s %{buildroot}%{python_sitelib}
# Documentation installed in python sitelib...
rm -rf %{buildroot}%{python_sitelib}/docs
%find_lang django

%files -f django.lang
%defattr(-, root, root)
%doc LICENSE CONTRIBUTORS CHANGELOG AUTHORS docs/.build/html
%{_bindir}/clonesatchmo.py
%{python_sitelib}
%changelog
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 0.9.2
  + Please read specific changelog in package documentation
- Fix package Group : Development/Languages/Python
- Use download Url as source
- Remove duplicate files with fdupes
- Generate documentation with Sphinx
- Add documentation from tarball
- Remove author name from description
- Remove "--record-rpm=INSTALLED_FILES" python option; add %%{python_sitelib}
  in filelist instead
- Remove useless CFLAGS definition
* Sun May 30 2010 alexandre@exatati.com.br
- Update to 0.9.1;
- Spec file cleaned with spec-cleaner.
